**Source URL:** https://general.veevavault.dev/qualityone/vault-api/api-reference/26.1/logs/sdk-debug-log/retrieve-single-debug-log.md

# Retrieve Single Debug Log



Given a [debug log](/vault-sdk/troubleshooting-runtime-errors/debug-log) ID, retrieve details about this debug log.

<Endpoint path="/api/{version}/logs/code/debug/{id}" method="GET"></Endpoint>

## Headers {#headers}

| Name | Description |
| --- | --- |
| `Accept` | `application/json` |

## URI Path Parameters {#uri-path-parameters}

| Name | Description |
| --- | --- |
| `{id}` | The ID of the debug log to retrieve. |

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v25.1/logs/code/debug/0LS000000003006

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "data": {
        "id": "0LS000000003006",
        "name": "Record Trigger Troubleshooting",
        "user_id": 61603,
        "log_level": "all__sys",
        "expiration_date": "2025-01-11T03:09:47.000Z",
        "class_filters": [
            {
                "name": "com.veeva.vault.custom.HelloWorld",
                "code_type": "Pagecontroller"
            },
            {
                "name": "com.veeva.vault.custom.triggers.HelloWorld",
                "code_type": "Recordtrigger"
            }
        ],
        "status": "active__sys",
        "created_date": "2024-12-12T03:09:47.000Z"
    }
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, the response includes the following `data` for each debug log:

<FieldTable>
| Name | Description |
| --- | --- |
| `id` | The numerical ID of this debug log. |
| `name` | The UI name of this debug log. |
| `user_id` | The ID of the user associated with this debug log. |
| `log_level` | The level of error messages captured in this debug log. Learn more about the [log level types in Vault Help](https://platform.veevavault.help/en/gr/14341/#debug-log). |
| `expiration_date` | The date this session will expire, in the format `YYYY-MM-DDTHH:MM:SS.000Z`. Once expired, Vault deletes the debug log and all log data. |
| `class_filters` | Class filters applied to this debug log, if any. Class filters allow you to restrict debug log entries to only include entries for specific classes. |
| `status` | The status of this debug log, either active or inactive. By default, only active logs are included in the response. To include inactive logs, set the `include_inactive` query parameter to `true`. |
| `created_date` | The date this session was created, in the format `YYYY-MM-DDTHH:MM:SS.000Z`. |
</FieldTable>

---

**Previous:** [Retrieve All Debug Logs](/qualityone/vault-api/api-reference/26.1/logs/sdk-debug-log/retrieve-all-debug-logs)  
**Next:** [Download Debug Log Files](/qualityone/vault-api/api-reference/26.1/logs/sdk-debug-log/download-debug-log-files)